* {
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.navbar {
  z-index: 10000;
}

.cardHighlight {
  min-height: 100%;
  box-shadow: 5px 5px 3px;
}

.table {
  background-color: white;
}

.background-image {
  position: fixed;
  height: 100vh;
  width: 100vw;
  background-image: url(./images/deliveryfood2.jpg);
  background-size: cover;
  z-index: -1;
  filter: blur(2px);
}

.background-image:after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 300px;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0), rgb(33, 32, 32));
}

.content {
  left: 0;
  right: 0;
  z-index: 100;
}

.button-main {
  justify-content: center;
  width: fit-content;
}

.title {
  font-family: 'Luckiest Guy', cursive;
  font-size: 70px;
  font-weight: 900;
  text-align: center;
  background-image: linear-gradient(180deg, #e11b1b, #700000);
  background-position: top;
  filter: drop-shadow(5px 5px 5px #000);
  -webkit-filter: drop-shadow(5px 5px 5px #000);
  background-size: 100%;
  -webkit-background-clip: text;
  background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.cardProduct {
  min-height: 100%;
  box-shadow: 5px 5px 3px;
}

.single-card {
  box-shadow: 5px 5px 3px;
}

.card-img {
  object-fit: cover;
  width: 100%;
  height: 250px;
}

#single-card-img {
  object-fit: cover;
  width: 100%;
  height: 250px;
}

.home {
  height: 25vh;
}

.page-title {
  padding-top: 5rem;
  font-size: 60px;
  font-weight: 600;
  background-image: linear-gradient(180deg, #fa5050, #7d0404);
  background-position: top;
  filter: drop-shadow(2px 2px #000);
  -webkit-filter: drop-shadow(5px 5px 5px #000);
  background-size: 100%;
  -webkit-background-clip: text;
  background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

#modale {
  z-index: 600;
}

#overlay {
  width: 100%;
  height: 10000px;
  background: rgba(0, 0, 0, 0.6);
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  z-index: 1;
}

.cart-image {
  object-fit: cover;
  width: 7rem;
  height: 7rem;
  border-radius: 10px;
  margin: 10px 0 10px 0;
}

.cart-button {
  height: 2rem;
  width: 2rem;
}

.cart-item {
  border-top: 1px solid black;
  margin-left: 5rem;
  margin-right: 5rem;
  justify-content: space-between;
}

.cart-icon {
  background-color: transparent;
  display: flex;
  height: 25px;
}

.cart-length {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 25px;
  width: 25px;
  background: #af0606;
  border-radius: 50%;
  font-size: 14px;
  font-weight: 700;
  color: white;
  margin-left: 5px;
}

.cart-parent {
  position: absolute;
  left: 94vw;
  top: 1rem;
}

.navbar-toggler-icon {
  background-color: white;
  border-radius: 3px;
}

.navbar-toggler {
  width: 50px;
}

.navbar-toggler,
.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus {
  border: none;
  border-color: #212529;
  outline-color: #212529;
  box-shadow: none;
  color: #212529;
}

.button-close {
  display: flex;
  justify-content: center;
  margin-bottom: 4rem;
}

.total {
  height: 110px;
  border-top: 1px solid black;
  margin-left: 5rem;
  margin-right: 5rem;
  padding-bottom: 2rem;
}

.checkout {
  width: 92%;
}

.checkout-button {
  background-color: #7d0404;
}

.visually-hidden {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  overflow: hidden;
  clip: rect(1px, 1px, 1px, 1px);
  white-space: nowrap;
}

.spinner-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 20vh;
}

.spinner {
  width: 50px;
  height: 50px;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
  #safari {
    background-color: #212529;
  }
}

@media screen and (max-width: 1024px) {
  .cart-parent {
    left: 92vw !important;
    top: 11px !important;
  }
}

@media screen and (max-width: 991px) {
  .cart-parent {
    left: 87vw !important;
  }
}

@media screen and (max-width: 768px) {
  .checkout {
    width: 83%;
  }
  .cart-icon {
    padding-right: 0px !important;
    background-color: transparent;
    display: fixed;
  }
  .cart-parent {
    left: 83vw !important;
    top: 11px !important;
  }
}

@media screen and (max-width: 641px) {
  .cart-parent {
    left: 77vw !important;
  }
}

@media screen and (max-width: 425px) {
  .title {
    font-size: 45px;
  }
  .home {
    height: 10vh;
  }
  .modale {
    width: 20px !important;
  }
  .counter {
    width: 10px !important;
    height: 10px;
    margin-top: 0px !important;
  }
  .cart-button {
    width: 25px;
    justify-self: center !important;
  }
  .cart-item {
    font-size: 16px;
    margin-left: 1rem;
    margin-right: 1rem;
  }
  .cart-item h4 {
    font-size: 20px;
  }
  .checkout {
    width: 100%;
  }
  .checkout-button {
    margin-right: 5vw !important;
  }
  .cart-parent {
    left: 69vw !important;
    top: 11px !important;
  }
  .total {
    margin-left: 1rem;
    margin-right: 1rem;
  }
}

@media screen and (max-width: 375px) {
  .cart-parent {
    left: 67vw !important;
  }
  .checkout {
    width: 100% !important;
  }
}

@media screen and (max-width: 320px) {
  .checkout {
    width: 100% !important;
  }
  .cart-parent {
    left: 62vw !important;
    top: 11px !important;
  }
  .cart-item h4 {
    font-size: 13px;
  }
  .cart-item h5 {
    font-size: 13px;
  }
  .total h4 {
    font-size: 18px;
  }
}
